import-module au

function global:au_SearchReplace {
	@{
		"$($Latest.PackageName).nuspec" = @{
		   "(\<dependency .+?`"7zip.install`" version=)`"([^`"]+)`"" = "`$1`"[$($Latest.Zip)]`""
		   "(\<dependency .+?`"firefox`" version=)`"([^`"]+)`"" = "`$1`"[$($Latest.firefox)]`""
		   "(\<dependency .+?`"googlechrome`" version=)`"([^`"]+)`"" = "`$1`"[$($Latest.googlechrome)]`""
		   "(\<dependency .+?`"adobereader`" version=)`"([^`"]+)`"" = "`$1`"[$($Latest.adobereader)]`""
		   "(\<dependency .+?`"puppet-agent`" version=)`"([^`"]+)`"" = "`$1`"[$($Latest.puppet)]`""
		}
	}
}

function global:au_GetLatest {
	[version]$ZipVersion = $((Invoke-WebRequest -Uri "https://chocolatey.org/packages/7zip.install" -UseBasicParsing).links | Where-Object {$_ -match "ReportAbuse"} | Select-Object -First 1).href.split('/')[3]
	[version]$FirefoxVersion = $((Invoke-WebRequest -Uri "https://chocolatey.org/packages/firefox" -UseBasicParsing).links | Where-Object {$_ -match "ReportAbuse"} | Select-Object -First 1).href.split('/')[3]
	[version]$ChromeVersion = $((Invoke-WebRequest -Uri "https://chocolatey.org/packages/googlechrome" -UseBasicParsing).links | Where-Object {$_ -match "ReportAbuse"} | Select-Object -First 1).href.split('/')[3]
	[version]$AdobeVersion = $((Invoke-WebRequest -Uri "https://chocolatey.org/packages/adobereader" -UseBasicParsing).links | Where-Object {$_ -match "ReportAbuse"} | Select-Object -First 1).href.split('/')[3]
	[version]$puppetVersion = $((Invoke-WebRequest -Uri "https://chocolatey.org/packages/puppet-agent" -UseBasicParsing).links | Where-Object {$_ -match "ReportAbuse"} | Select-Object -First 1).href.split('/')[3]
	

	$Latest = @{ Version = $FirefoxVersion; firefox = $FirefoxVersion; Zip = $ZipVersion; googlechrome = $ChromeVersion; adobereader = $AdobeVersion; puppet = $puppetVersion }
	return $Latest
}

update -ChecksumFor none
